export declare class LeetCodeService {
    private readonly API_URL;
    private readonly http;
    constructor();
    /**
     * Execute a GraphQL query against the LeetCode API
     */
    private executeQuery;
    /**
     * Fetch user profile data
     */
    fetchUserProfile(username: string): Promise<any>;
    /**
     * Fetch user submissions
     */
    fetchUserSubmissions(username: string, limit?: number): Promise<any>;
    /**
     * Fetch the daily challenge
     */
    fetchDailyChallenge(): Promise<any>;
    /**
     * Fetch details about a specific problem
     */
    fetchProblem(titleSlug: string): Promise<any>;
    /**
     * Search for problems matching criteria
     */
    searchProblems(tags?: string, difficulty?: string, limit?: number, skip?: number): Promise<any>;
    /**
     * Fetch contest details
     */
    fetchContestDetails(contestSlug: string): Promise<any>;
    /**
     * Fetch user contest ranking
     */
    fetchUserContestRanking(username: string): Promise<any>;
}
