export declare const userProfileQuery = "\n  query getUserProfile($username: String!) {\n    matchedUser(username: $username) {\n      username\n      submitStats: submitStatsGlobal {\n        acSubmissionNum {\n          difficulty\n          count\n          submissions\n        }\n        totalSubmissionNum {\n          difficulty\n          count\n          submissions\n        }\n      }\n      profile {\n        ranking\n        reputation\n        starRating\n        realName\n        aboutMe\n        userAvatar\n        skillTags\n        country\n        company\n        school\n        websites\n        countryName\n        location\n        contestCount\n        asciiCode\n        socialAccounts\n        skillSet {\n          langLevels {\n            langName\n            langVerboseName\n            level\n          }\n          topics {\n            slug\n            name\n            level\n          }\n        }\n      }\n    }\n  }\n";
export declare const userSubmissionsQuery = "\n  query recentSubmissions($username: String!, $limit: Int!) {\n    recentSubmissionList(username: $username, limit: $limit) {\n      id\n      title\n      titleSlug\n      timestamp\n      statusDisplay\n      lang\n      __typename\n    }\n  }\n";
export declare const dailyChallengeQuery = "\n  query questionOfToday {\n    activeDailyCodingChallengeQuestion {\n      date\n      userStatus\n      link\n      question {\n        acRate\n        difficulty\n        freqBar\n        frontendQuestionId: questionFrontendId\n        isFavor\n        paidOnly: isPaidOnly\n        status\n        title\n        titleSlug\n        hasVideoSolution\n        hasSolution\n        topicTags {\n          name\n          id\n          slug\n        }\n      }\n    }\n  }\n";
export declare const problemDetailsQuery = "\n  query questionData($titleSlug: String!) {\n    question(titleSlug: $titleSlug) {\n      questionId\n      questionFrontendId\n      boundTopicId\n      title\n      titleSlug\n      content\n      translatedTitle\n      difficulty\n      likes\n      dislikes\n      isLiked\n      similarQuestions\n      exampleTestcases\n      contributors {\n        username\n        profileUrl\n        avatarUrl\n      }\n      topicTags {\n        name\n        slug\n      }\n      companyTagStats\n      codeSnippets {\n        lang\n        langSlug\n        code\n      }\n      stats\n      hints\n      solution {\n        id\n        canSeeDetail\n        paidOnly\n        hasVideoSolution\n      }\n      status\n      sampleTestCase\n      metaData\n      judgerAvailable\n      judgeType\n      mysqlSchemas\n      enableRunCode\n      enableTestMode\n      enableDebugger\n      envInfo\n    }\n  }\n";
export declare const searchProblemsQuery = "\n  query problemsetQuestionList($categorySlug: String, $limit: Int, $skip: Int, $filters: QuestionListFilterInput) {\n    problemsetQuestionList: questionList(\n      categorySlug: $categorySlug\n      limit: $limit\n      skip: $skip\n      filters: $filters\n    ) {\n      total: totalNum\n      questions: data {\n        acRate\n        difficulty\n        freqBar\n        frontendQuestionId: questionFrontendId\n        isFavor\n        paidOnly: isPaidOnly\n        status\n        title\n        titleSlug\n        topicTags {\n          name\n          id\n          slug\n        }\n        hasSolution\n        hasVideoSolution\n      }\n    }\n  }\n";
export declare const contestDetailsQuery = "\n  query contestData($contestSlug: String!) {\n    contest(titleSlug: $contestSlug) {\n      title\n      titleSlug\n      description\n      startTime\n      duration\n      originStartTime\n      isVirtual\n      questions {\n        questionId\n        title\n        titleSlug\n        difficulty\n      }\n    }\n  }\n";
export declare const userContestRankingQuery = "\n  query userContestRankingInfo($username: String!) {\n    userContestRanking(username: $username) {\n      attendedContestsCount\n      rating\n      globalRanking\n      totalParticipants\n      topPercentage\n      badge {\n        name\n      }\n    }\n    userContestRankingHistory(username: $username) {\n      attended\n      trendDirection\n      problemsSolved\n      totalProblems\n      finishTimeInSeconds\n      rating\n      ranking\n      contest {\n        title\n        startTime\n      }\n    }\n  }\n";
